Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QProcess.ProcessState

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QProcess.ProcessState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QProcess

    public static final class QProcess.ProcessState

extends java.lang.Enum
implements QtEnumerator

This enum describes the different states of `QProcess`.

See also:
  `state()`.

See Also:
  Serialized Form

Field Summary
`static QProcess.ProcessState` | `NotRunning` The process is not running.
`static QProcess.ProcessState` | `Running` The process is running and is ready for reading and writing.
`static QProcess.ProcessState` | `Starting` The process is starting, but the program has not yet been invoked.

Method Summary
`static QProcess.ProcessState` | `resolve(int value)` Returns the ProcessState constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessState` | `valueOf(java.lang.String name)`
`static QProcess.ProcessState[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotRunning

    public static final QProcess.ProcessState NotRunning

  The process is not running.

### Starting

    public static final QProcess.ProcessState Starting

  The process is starting, but the program has not yet been invoked.

### Running

    public static final QProcess.ProcessState Running

  The process is running and is ready for reading and writing.

Method Detail

### values

    public static QProcess.ProcessState[] values()

### valueOf

    public static QProcess.ProcessState valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessState resolve(int value)

  Returns the ProcessState constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD